ランタイム: Mix::Scene::IWaterPool Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IWaterPool Class Referenceabstract

ウォータープールインターフェース More...

`#include <IWaterPool.h>`

Inheritance diagram for Mix::Scene::IWaterPool:
[legend]
Collaboration diagram for Mix::Scene::IWaterPool:
[legend]

## Classes

struct | VISUAL_PARAM
| 表示パラメータ構造体 More...

## Public Member Functions

virtual Boolean | IsRefraction (void) const =0
| 屈折効果の判定対象とされているかどうかを確認します More...
virtual void | SetRefraction (Boolean state)=0
| 屈折効果の判定対象とするかどうかを設定します More...
virtual const Mix::Scene::IWaterPool::VISUAL_PARAM & | GetVisualParam (void) const =0
| 表示パラメータを取得します More...
virtual void | SetVisualParam (const Mix::Scene::IWaterPool::VISUAL_PARAM &param)=0
| 表示パラメータを設定します More...
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldMatrix (const Mix::Matrix4x4 &worldMat)=0
| ワールド行列を設定します More...
virtual void | Update (void) const =0
| 更新します More...
virtual const Mix::Geometry::AABB & | GetBounds (void) const =0
| 境界を取得します More...
virtual void | Refresh (void) const =0
| リフレッシュします More...
virtual Boolean | IsIllegal (void) const =0
| イリーガルかどうかを確認します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IWaterPool (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

ウォータープールインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IWaterPool::~IWaterPool | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::IWaterPool::IsRefraction | ( | void |  | ) | const

pure virtual

屈折効果の判定対象とされているかどうかを確認します

Returns
  判定対象とされている場合は True を返します

virtual void Mix::Scene::IWaterPool::SetRefraction | ( | Boolean | state | ) |

pure virtual

屈折効果の判定対象とするかどうかを設定します

Parameters

  [in] | state | 判定対象とする場合は True

Note
  True として設定した場合、実際に屈折効果が行われるのではなく、
  屈折させるかどうかを境界を使用して判定することを意味します。

virtual const Mix::Scene::IWaterPool::VISUAL_PARAM& Mix::Scene::IWaterPool::GetVisualParam | ( | void |  | ) | const

pure virtual

表示パラメータを取得します

Returns
  パラメータを表す Mix::Scene::IWaterPool::VISUAL_PARAM 構造体を返します

virtual void Mix::Scene::IWaterPool::SetVisualParam | ( | const Mix::Scene::IWaterPool::VISUAL_PARAM & | param | ) |

pure virtual

表示パラメータを設定します

Parameters

  [in] | param | パラメータを表す Mix::Scene::IWaterPool::VISUAL_PARAM 構造体

virtual const Mix::Matrix4x4& Mix::Scene::IWaterPool::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Scene::IWaterPool::SetWorldMatrix | ( | const Mix::Matrix4x4 & | worldMat | ) |

pure virtual

ワールド行列を設定します

Parameters

  [in] | worldMat | 行列を表す Mix::Matrix4x4 クラス

virtual void Mix::Scene::IWaterPool::Update | ( | void |  | ) | const

pure virtual

更新します

Note
  Mix::Scene::IWaterPoolContext::Update メソッドを呼び出します。

virtual const Mix::Geometry::AABB& Mix::Scene::IWaterPool::GetBounds | ( | void |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::AABB クラスを返します

Note
  Mix::Scene::IWaterPoolContext::GetBounds メソッドを呼び出します。

virtual void Mix::Scene::IWaterPool::Refresh | ( | void |  | ) | const

pure virtual

リフレッシュします

Note
  シーンの内部にある八分木に再配置します。

virtual Boolean Mix::Scene::IWaterPool::IsIllegal | ( | void |  | ) | const

pure virtual

イリーガルかどうかを確認します

Returns
  イリーガルな場合は True を返します

Note
  イリーガルとは、シーン内部の八分木の範囲を超えていることを意味します。

The documentation for this class was generated from the following file:

- Mix/Scene/IWaterPool.h